Crazy Eddies GUI System: CEGUI::AnimationManager Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
CEGUI::AnimationManager Class Reference
Inheritance diagram for CEGUI::AnimationManager:
[legend]
Collaboration diagram for CEGUI::AnimationManager:
[legend]

List of all members.

## Public Member Functions
| AnimationManager (void)
| Constructs a new AnimationManager object.
| ~AnimationManager (void)
| Destructor for AnimationManager objects.
void | addInterpolator (Interpolator *interpolator)
| Adds interpolator to be available for Affectors.
void | removeInterpolator (Interpolator *interpolator)
| Removes interpolator.
Interpolator * | getInterpolator (const String &type) const
| Retrieves interpolator by type.
Animation * | createAnimation (const String &name="")
| Creates a new Animation definition.
void | destroyAnimation (Animation *animation)
| Destroys given animation definition.
void | destroyAnimation (const String &name)
| Destroys given animation definition by name.
Animation * | getAnimation (const String &name) const
| Retrieves animation by name.
Animation * | getAnimationAtIdx (size_t index) const
| Retrieves animation by index.
size_t | getNumAnimations () const
| Retrieves number of defined animations.
AnimationInstance * | instantiateAnimation (Animation *animation)
| Instantiates given animation.
AnimationInstance * | instantiateAnimation (const String &name)
| Instantiates given animation by name.
void | destroyAnimationInstance (AnimationInstance *instance)
| Destroys given animation instance.
void | destroyAllInstancesOfAnimation (Animation *animation)
| Destroys all instances of given animation.
AnimationInstance * | getAnimationInstanceAtIdx (size_t index) const
| Retrieves animation instance at given index.
size_t | getNumAnimationInstances () const
| Retrieves number of animation instances, number of times any animation was instantiated.
void | stepInstances (float delta)
| Internal method, gets called by CEGUI::System automatically.
void | loadAnimationsFromXML (const String &filename, const String &resourceGroup="")
| Parses an XML file containing animation specifications to create and initialise Animation objects.
bool | isAnimationPresent (const String &name) const
| Examines the list of Animations to see if one exists with the given name.
## Static Public Member Functions
static void | setDefaultResourceGroup (const String &resourceGroup)
| Sets the default resource group to be used when loading animation xml data.
static const String & | getDefaultResourceGroup ()
| Returns the default resource group currently set for loading animation xml data.

## Constructor & Destructor Documentation

CEGUI::AnimationManager::AnimationManager | ( | void |  | ) |

Constructs a new AnimationManager object.

NB: Client code should not create AnimationManager objects - they are of limited use to you! The intended pattern of access is to get a pointer to the GUI system's AnimationManager via the System object, and use that.

CEGUI::AnimationManager::~AnimationManager | ( | void |  | ) |

Destructor for AnimationManager objects.

This will properly destroy all remaining AnimationInstance and Animation objects.

## Member Function Documentation

void CEGUI::AnimationManager::addInterpolator | ( | Interpolator * | interpolator | ) |

Adds interpolator to be available for Affectors.

  CEGUI ships with several basic interpolators that are always available, float, bool, colour, UDim, UVector2, ... but you can add your own custom interpolator if needed! just note that AnimationManager only deletes inbuilt interpolators. It will remove your interpolator if you don't do it yourself, but you definitely have to delete it yourself!

Animation* CEGUI::AnimationManager::createAnimation | ( | const String & | name = `""` | ) |

Creates a new Animation definition.

See also:
  Animation

static const String& CEGUI::AnimationManager::getDefaultResourceGroup | ( |  | ) | `[inline, static]`

Returns the default resource group currently set for loading animation xml data.

Returns:
  String describing the default resource group identifier that will be used when loading Animation xml data.

AnimationInstance* CEGUI::AnimationManager::instantiateAnimation | ( | Animation * | animation | ) |

Instantiates given animation.

See also:
  AnimationInstance

AnimationInstance* CEGUI::AnimationManager::instantiateAnimation | ( | const String & | name | ) |

Instantiates given animation by name.

See also:
  AnimationInstance

bool CEGUI::AnimationManager::isAnimationPresent | ( | const String & | name | ) | const

Examines the list of Animations to see if one exists with the given name.

Parameters:

  name | String holding the name of the Animation to look for.

Returns:
  true if an Animation was found with a name matching name. false if no matching Animation was found.

void CEGUI::AnimationManager::loadAnimationsFromXML | ( | const String & | filename,
|  | const String & | resourceGroup = `""`
| ) |  |

Parses an XML file containing animation specifications to create and initialise Animation objects.

Parameters:

  filename | String object holding the filename of the XML file to be processed.
  resourceGroup | Resource group identifier to be passed to the resource provider when loading the XML file.

static void CEGUI::AnimationManager::setDefaultResourceGroup | ( | const String & | resourceGroup | ) | `[inline, static]`

Sets the default resource group to be used when loading animation xml data.

Parameters:

  resourceGroup | String describing the default resource group identifier to be used.

void CEGUI::AnimationManager::stepInstances | ( | float | delta | ) |

Internal method, gets called by CEGUI::System automatically.

Only use if you know what you're doing!